<?php

namespace Youssef\Newcms\Repositories\Eloquent;

use Youssef\Newcms\Interfaces\PageRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class PageRepository extends BaseRepository implements PageRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('youssef.newcms.page.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('youssef.newcms.page.model.model');
    }
}
