<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for category in newcms package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  category module in newcms package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Category',
    'names'         => 'Categories',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Categories',
        'sub'   => 'Categories',
        'list'  => 'List of categories',
        'edit'  => 'Edit category',
        'create'    => 'Create new category'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'title'                      => 'Enter title Category',
        'page_id'                    => '',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'title'                      => 'Catezgory Title',
        'page_id'                    => 'Pages',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'title'                      => ['name' => 'Catezgory Title', 'data-column' => 1, 'checked'],
        'page_id'                    => ['name' => 'Pages', 'data-column' => 2, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Categories',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
