<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for page in newcms package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  page module in newcms package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Page',
    'names'         => 'Pages',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Pages',
        'sub'   => 'Pages',
        'list'  => 'List of pages',
        'edit'  => 'Edit page',
        'create'    => 'Create new page'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'title'                      => 'Enter Title',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'title'                      => 'Title',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'title'                      => ['name' => 'Title', 'data-column' => 1, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Pages',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
